/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.field.model;

/**
 * Enum which describes the different soil types
 * @author Merijn Zengers
 */
public enum SoilType {
    CLAY("KY", "clay"),
    PEAT("KV", "peat"),
    SAND("DZ", "sand"),
    LOESS("LO", "loess");
    
    private String code;
    private String description;
    
    SoilType(String code, String description){
        this.code = code;
        this.description = description;
    }

    /**
     * Get the code of the soil type
     * @return 
     */
    public String getCode() {
        return code;
    }

    /**
     * Get the description of the soil type
     * @return 
     */
    public String getDescription() {
        return description;
    }
    
    
}
